$Id: README.md,v 1.2 2017/06/22 08:15:49 burke Exp $


md - a simple way to publish web pages 
=======================================

+ Copyright (c) 2017 Mattias Wikstrom <burke@yagrebu.net>
+ License: MIT License (see the separate LICENSE file)
+ Web page: https://yagrebu.net/unix/md.md


## Description

*md* uses URL rewriting and a bit of PHP scripting to convert
[Markdown] formatted files (like this text) to HTML web pages on the
fly. Markdown is more convenient to write than HTML and it is easy
to read in source form. *md* makes use of the [Parsedown] Markdown
parser, which is also distributed under the MIT License.

[Markdown]: https://daringfireball.net/projects/markdown/
[Parsedown]: http://parsedown.org/


## Features

+ CSS stylesheet support. Create `.md.css` and enable it by
  uncommenting the `$stylesheet` variable in `md.php`.
+ The first H1 heading in the document is used as the TITLE 
  for the web page.
+ Links like `[ls(1)](man)` are automatically converted to 
  a man page search, e.g. [ls(1)](man).
+ *md* is designed to be modified and extended. Adding further
  features should be easy. 


## Requirements

+ Apache2 w/mod_rewrite
+ PHP5+
+ [Parsedown]


## Instructions

0. Read through `md.php` and `htaccess` and make any changes necessary
   for your system. E.g. `htaccess` is setup to force https by default.
1. Prefix the filenames of `md.php`, `htaccess` and `Parsedown.php`
   with a dot (".") and place them in the document root. (Dot-filenames
   are not mandatory, but you will need to edit the source files so
   that they reference the correct filenames. Using the dot-filenames
   keeps the document root tidier.)
2. Place `README.md` in the document root.
3. Open https://your.domain/README.md in your browser.
